export interface optionsObjectInterface {
  [key: string]: boolean;
  lowercase: boolean;
  uppercase: boolean;
  number: boolean;
  symbol: boolean;
}
/**
 * Default parameters of neornd.string()
 */
export declare const optionsDefaultObject: optionsObjectInterface;
/**
 * Generate random string with specified length
 * @param {number} length - Length arg inherited from neornd.string()
 * @param {*} optionsObject - Options arg inherited from neornd.string()
 * @return Return neornd.string() a random string with specified length
 */
export declare const getRandomString: (length: number, optionsObject: optionsObjectInterface) => string;
//# sourceMappingURL=getRandomString.d.ts.map
